package com.pdaaphm.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.pdaaphm.common.annotation.Excel;
import com.pdaaphm.common.core.domain.BaseEntity;

/**
 * 算法对象 t_algorithm
 *
 * @author xlk
 * @date 2023-07-26
 */
@Data
public class Algorithm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 算法类型 */
    @Excel(name = "算法类型")
    private String type;

    /** 子类型id */
    @Excel(name = "子类型id")
    private Long subTypeId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completedTime;

    /** 耗时(s) */
    @Excel(name = "耗时(s)")
    private Long costSecond;

    /** 算法子类型名称 */
    @Excel(name = "算法子类型名称")
    private String algoSubName;
}
